Summary: Sound Monitor panel applet.
Name: sound-monitor
Version: 1.99.0
Release: 1
License: GPL
Group: Applications/Multimedia
Source: http://prdownloads.sourceforge.net/gqapplets/sound-monitor-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

URL: http://gqapplets.sourceforge.net

Requires: libgnomeui >= 2.0.0
Requires: gnome-panel >= 2.0.0
Requires: esound >= 0.2.13

%description
Panel applet for gnome. Displays sound output of esound.
Included many themes, can show sound volume, an oscilloscope,
or a spectrum analyzer in the display.

%prep
%setup -q -n sound-monitor-%{version}

%build
if [ ! -f configure ]; then
  CFLAGS="$MYCFLAGS" ./autogen.sh $MYARCH_FLAGS --prefix=%{_prefix}
else
  CFLAGS="$MYCFLAGS" ./configure $MYARCH_FLAGS --prefix=%{_prefix}
fi

make

%install
rm -rf $RPM_BUILD_ROOT

make bindir=$RPM_BUILD_ROOT%{_bindir} prefix=$RPM_BUILD_ROOT%{_prefix} \
	libexecdir=$RPM_BUILD_ROOT%{_libexecdir}	\
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} install

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule /etc/gconf/schemas/sound-monitor.schemas > /dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc README COPYING TODO ChangeLog src/themes/SKIN-SPECS
%{_libexecdir}/sound-monitor_applet2
%{_libdir}/bonobo/servers/GNOME_SoundMonitorApplet.server
%{_sysconfdir}/gconf/schemas/sound-monitor.schemas
%{_datadir}/gnome-2.0/ui/GNOME_SoundMonitorApplet.xml
%{_datadir}/pixmaps/sound-monitor.png
%{_datadir}/sound-monitor2/SKIN-SPECS
%{_datadir}/sound-monitor2/*/*

