/* 
 * Sound Monitor applet for the GNOME panel
 * (C) 2002 John Ellis
 *
 * Author: John Ellis
 *
 * This software is released under the GNU General Public License (GNU GPL).
 * Please read the included file COPYING for more information.
 * This software comes with no warranty of any kind, use at your own risk!
 */

#ifndef ESDCALLS_H
#define ESDCALLS_H


void sound_get_volume(SoundData *sd, gint *l, gint *r);
void sound_get_buffer(SoundData *sd, short **buffer, gint *length);
void sound_set_latency(SoundData *sd, gint latency);
SoundData *sound_init(gchar *host, gint monitor_input);
void sound_free(SoundData *sd);

gint esd_control(ControlType function, gchar *host);
StatusType esd_status(gchar *host);


#endif
