/* 
 * Sound Monitor applet for the GNOME panel
 * (C) 2002 John Ellis
 *
 * Author: John Ellis
 *
 * This software is released under the GNU General Public License (GNU GPL).
 * Please read the included file COPYING for more information.
 * This software comes with no warranty of any kind, use at your own risk!
 */


#include <config.h>

#include <sys/types.h>
#include <dirent.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <sys/stat.h>

#include <glib.h>
#include <gtk/gtk.h>
#include <libgnome/libgnome.h>
#include <libgnomeui/libgnomeui.h>
#include <panel-applet.h>

#include <gdk-pixbuf/gdk-pixbuf.h>

#include <esd.h>

#include "ui2_typedefs.h"
#include "typedefs.h"


void sync_esd_menu_item(AppData *ad);
void reload_skin(AppData *ad);

void property_load(AppData *ad);
void property_save(void);
void property_show(PanelApplet *applet, gpointer data);


